package com.khmer9.lotto.app

import com.khmer9.lotto.remote.CurrentBetting
import com.khmer9.lotto.remote.ListItem
import com.khmer9.lotto.remote.Result
import com.khmer9.lotto.util.Event


data class ShareViewState(

    val initial: Boolean = true,
    val isProgress: Boolean = false,
    val error: String? = null,
    val myBettingId: String?=null,
    val myBettingList: MutableList<ListItem> ?= null,
    val result: Result?= null,
    val nextNo: String ?= null,
    val accountBalance: String ?= null,
    var currentBetting: CurrentBetting?= null,
    val isAutoPrint: Event<Boolean>? = null
)